Get yearly calendar heatmap (click count per day, last 365 days)
GET
/api/v1/links/{code}/analytics/calendar-heatmap
const url = 'https://example.com/api/v1/links/example/analytics/calendar-heatmap';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/links/example/analytics/calendar-heatmap \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Path Parameters
Заголовок раздела «Path Parameters»code
required
string
Short code or custom alias
Responses
Заголовок раздела «Responses»Media typeapplication/json
object
shortCode
required
string
from
required
string
to
required
string
totalClicks
required
number
data
required
Array<object>
object
date
required
Date string YYYY-MM-DD
string
clicks
required
number
Example generated
{ "shortCode": "example", "from": "example", "to": "example", "totalClicks": 1, "data": [ { "date": "example", "clicks": 1 } ]}Forbidden — not the owner
Link not found